Class SelectPartModule
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Features
Assembly: NXOpen.dll
Syntax
public class SelectPartModule : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectPartModule()
Declaration
protected SelectPartModule()
Properties
Value
Declaration
public PartModule Value { get; set; }
Property Value
Type | Description |
---|---|
PartModule |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public PartModule GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
PartModule |
GetValue(out PartModule, out View, out Point3d)
Declaration
public void GetValue(out PartModule selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
PartModule | selection | |
View | view | |
Point3d | point |
GetValue(out InferSnapType.SnapType, out PartModule, out View, out Point3d, out PartModule, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out PartModule selection1, out View view1, out Point3d point1, out PartModule selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
PartModule | selection1 | |
View | view1 | |
Point3d | point1 | |
PartModule | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(PartModule, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(PartModule selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
PartModule | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(PartModule, View, Point3d)
Declaration
public void SetValue(PartModule selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
PartModule | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, PartModule, View, Point3d, PartModule, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, PartModule selection1, View view1, Point3d point1, PartModule selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
PartModule | selection1 | |
View | view1 | |
Point3d | point1 | |
PartModule | selection2 | |
View | view2 | |
Point3d | point2 |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink